Package com.sas.metadata.remote

# Interface MdObjectBase

All Superinterfaces:
  `Remote`

All Known Subinterfaces:
  `AbstractExtension`, `AbstractJob`, `AbstractPrompt`, `AbstractProperty`, `AbstractTransformation`, `AccessControl`, `AccessControlEntry`, `AccessControlTemplate`, `Action`, `Aggregation`, `AnalyticColumn`, `AnalyticContext`, `AnalyticTable`, `ApplicationAction`, `ArchiveEntry`, `ArchiveFile`, `AssociationProperty`, `AttributeProperty`, `AuthenticationDomain`, `CalculatedMeasure`, `CalculatedMember`, `Change`, `Classifier`, `ClassifierMap`, `CMetadata`, `Column`, `ColumnHierarchy`, `ColumnRange`, `COMConnection`, `Condition`, `ConditionActionSet`, `ConditionalPrecedence`, `ConfiguredComponent`, `Connection`, `ContentLocation`, `ContentType`, `Cube`, `CustomAssociation`, `DatabaseCatalog`, `DatabaseSchema`, `DataSourceName`, `DataTable`, `DeployedComponent`, `DeployedDataPackage`, `Device`, `DeviceType`, `Dimension`, `Directory`, `Document`, `Email`, `Event`, `Extension`, `ExternalIdentity`, `ExternalTable`, `FavoritesContainer`, `Feature`, `FeatureMap`, `File`, `FitStatistic`, `ForeignKey`, `GlobalFormula`, `Group`, `GroupByClause`, `HavingClause`, `Hierarchy`, `HierarchyLevel`, `Identity`, `IdentityGroup`, `Index`, `InternalLogin`, `ITChannel`, `ITContentSubscriber`, `ITEventSubscriber`, `ITFilter`, `ITSubscriber`, `JFJob`, `Job`, `Join`, `JoinTable`, `Key`, `KeyAssociation`, `Keyword`, `Level`, `LocalizedResource`, `LocalizedType`, `Location`, `LogicalColumn`, `LogicalServer`, `Login`, `Machine`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `Measure`, `Memory`, `MiningResult`, `NamedService`, `NamedSet`, `NumericExtension`, `OLAPProperty`, `OLAPSchema`, `OnClause`, `OpenClientConnection`, `OrderByClause`, `Permission`, `PermissionCondition`, `Person`, `Phone`, `PhysicalTable`, `PrimaryType`, `Prompt`, `PromptGroup`, `Property`, `PropertyGroup`, `PropertySet`, `PropertyType`, `Prototype`, `PrototypeProperty`, `PSColumnLayoutComponent`, `PSLayoutComponent`, `PSPortalPage`, `PSPortalProfile`, `PSPortlet`, `QueryClause`, `QueryTable`, `RelationalSchema`, `RelationalTable`, `Report`, `ResponsibleParty`, `Role`, `Root`, `RowSelector`, `SASCatalog`, `SASCatalogEntry`, `SASClientConnection`, `SASFileRef`, `SASLibrary`, `SASLicense`, `SASPassword`, `Search`, `SecondaryType`, `SecuredLibrary`, `SecuredTable`, `SecurityRule`, `SecurityRuleScheme`, `SecurityTypeContainmentRule`, `Select`, `ServerComponent`, `ServerContext`, `ServiceComponent`, `ServiceType`, `SharedDimension`, `SoftwareComponent`, `StepPrecedence`, `Stream`, `SXLEMap`, `SyncStep`, `TableCollection`, `Target`, `TCPIPConnection`, `Text`, `TextStore`, `Timestamp`, `Transformation`, `TransformationActivity`, `TransformationStep`, `Tree`, `TSNameObject`, `TSNamespace`, `TypeDefinition`, `UniqueKey`, `UnitofTime`, `Variable`, `WhereClause`, `WorkTable`, `XPath`

public interface MdObjectBase extends Remote
Root class of all metadata classes. This class does not actually exist in the model. Root inherits from this class, thus inherits all its methods and attributes for all objects. Attributes: Name, Id, Created, Updated.
Associations: NONE

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ATTRIBUTE_DESC_NAME`
  Attribute: Desc , String representation of attribute "Desc".
  `static final String`
  `ATTRIBUTE_ID_NAME`
  Attribute: Id , String representation of attribute "Id".
  `static final String`
  `ATTRIBUTE_METADATACREATED_NAME`
  Attribute: Created , String representation of attribute "Created".
  `static final String`
  `ATTRIBUTE_METADATAUPDATED_NAME`
  Attribute: Updated , String representation of attribute "Updated".
  `static final String`
  `ATTRIBUTE_NAME_NAME`
  Attribute: Name , String representation of attribute "Name".

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addElementToChangeList(CMetadata object)`
  Adds the specified metadata object to this object's change list; only adds the object if it is not already in the list
  `void`
  `clearChangeList()`
  Remove all elements from the change list, and set it to empty
  `Vector<CMetadata>`
  `getChangeList()`
  Return the current change list
  `String`
  `getCMetadataType()`
  Return the type of this object
  `String`
  `getDesc()`
  Returns the description attribute
  `int`
  `getDescMaxLength()`
  Returns the maximum length of an object's description
  `int`
  `getDescState()`
  Returns the state of the description attribute
  `String`
  `getFQID()`
  Return the unique ID for this object
  `String`
  `getId()`
  Gets the Id of the object.
  `int`
  `getIdState()`
  gets the state of the ID of the object.
  `String`
  `getMetadataCreated()`
  Return the MetadataCreated attribute
  `int`
  `getMetadataCreatedState()`
  Get the state of MetadataCreated
  `String`
  `getMetadataUpdated()`
  Return the MetadataUpdated attribute
  `int`
  `getMetadataUpdatedState()`
  Get the state of metadataUpdated
  `String`
  `getName()`
  Return the name of this object
  `int`
  `getNameMaxLength()`
  Returns the maximum length of an object's name
  `int`
  `getNameState()`
  Returns the state of the name attribute
  `MdStore`
  `getObjectStore()`
  Gets the object Store associated with this object.
  `Vector<String>`
  `getPredAssociations()`
  Returns list of the pred associations for this object
  `String`
  `getRepositoryID()`
  Return the repository ID (the top part of the unique ID) for this object.
  `Vector<String>`
  `getRequiredAssociations()`
  Return those associates that are required by this object
  `int`
  `getState()`
  Return the current state of this object.
  `void`
  `initializePredObjects()`
  Used to initialize the objects pred array
  `boolean`
  `isAssociationRequired(String associationName)`
  Returns information about the specified association in this object
  `boolean`
  `isNewObject()`
  Tells whether or not this has a temporary ID.
  `boolean`
  `isPredAssociation(String associationName)`
  Returns information about the specified association in this object
  `void`
  `removeElementFromChangeList(CMetadata object)`
  Remove the specified element from the change list
  `void`
  `resetObject()`
  Resets all the states of the attributes and associations to .server.
  `void`
  `resetState(int iValue)`
  Turn off the specified state variable in the object state
  `void`
  `resetStates()`
  Resets all the attributes and association list states.
  `void`
  `setCMetadataType(String type)`
  Set the type of this object.
  `void`
  `setDesc(String desc)`
  Set the Description attribute of this object and set its state to MetadataState.LOCAL
  `void`
  `setDesc(String desc, int state)`
  Set the Description attribute of this object and set the state of the description attribute
  `void`
  `setDescState(int state)`
  Sets the state of the Description variable
  `void`
  `setFQID(String FQID)`
  Set the ID for this object
  `void`
  `setFQID(String FQID, int state)`
  Set the ID for this object
  `void`
  `setId(String Id)`
  Set the ID for this object
  `void`
  `setId(String Id, int state)`
  Set the ID for this object
  `void`
  `setIdState(int state)`
  Set the ID state for this object
  `void`
  `setMetadataCreated(String date)`
  Set the MetadataCreated attribute
  `void`
  `setMetadataCreated(String date, int state)`
  Set the MetadataCreated attribute of this object, and set the state of the MetadataCreaated attribute
  `void`
  `setMetadataCreatedState(int state)`
  Set the state of the MetadataCreated attribute
  `void`
  `setMetadataUpdated(String date)`
  Set the MetadataUpdated attribute
  `void`
  `setMetadataUpdated(String date, int state)`
  Set the MetadataUpdated attribute of this object, and set the state of the MetadataUpdatted attribute
  `void`
  `setMetadataUpdatedState(int state)`
  Set the state of the MetadataUpdated attribute
  `void`
  `setName(String strName)`
  Set the name of this metadata object and its state to MetadataState.LOCAL.
  `void`
  `setName(String strName, int state)`
  Set the name of this metadata object, and set the state of the name to indicate that the name has been set
  `void`
  `setNameState(int state)`
  Set the state of the name to indicate that the name has been set
  `void`
  `setObjectStore(MdStore OwningStore)`
  The store that holds this object.
  `void`
  `setState(int iValue)`
  OR in the specified value with the objectState

- ## Field Details

  - ### ATTRIBUTE_NAME_NAME

    static final String ATTRIBUTE_NAME_NAME
    Attribute: Name , String representation of attribute "Name".
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_DESC_NAME

    static final String ATTRIBUTE_DESC_NAME
    Attribute: Desc , String representation of attribute "Desc".
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ID_NAME

    static final String ATTRIBUTE_ID_NAME
    Attribute: Id , String representation of attribute "Id".
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_METADATACREATED_NAME

    static final String ATTRIBUTE_METADATACREATED_NAME
    Attribute: Created , String representation of attribute "Created".
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_METADATAUPDATED_NAME

    static final String ATTRIBUTE_METADATAUPDATED_NAME
    Attribute: Updated , String representation of attribute "Updated".
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setName

    void setName(String strName) throws RemoteException
    Set the name of this metadata object and its state to MetadataState.LOCAL.
    Parameters:
      `strName` - string containing the name to use
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### setName

    void setName(String strName, int state) throws RemoteException
    Set the name of this metadata object, and set the state of the name to indicate that the name has been set
    Parameters:
      `strName` - name to use
      `state` - int variable that indicates current state of this attribute
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### setNameState

    void setNameState(int state) throws RemoteException
    Set the state of the name to indicate that the name has been set
    Parameters:
      `state` - int variable that indicates current state of this attribute
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### setMetadataCreated

    void setMetadataCreated(String date) throws RemoteException
    Set the MetadataCreated attribute
    Parameters:
      `date` - String indicating the date to set
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getMetadataCreatedState

    int getMetadataCreatedState() throws RemoteException
    Get the state of MetadataCreated
    Returns:
      state of the created attribute
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### setMetadataCreated

    void setMetadataCreated(String date, int state) throws RemoteException
    Set the MetadataCreated attribute of this object, and set the state of the MetadataCreaated attribute
    Parameters:
      `date` - String indicating the date to set
      `state` - int variable that indicates current state of this attribute
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### setMetadataCreatedState

    void setMetadataCreatedState(int state) throws RemoteException
    Set the state of the MetadataCreated attribute
    Parameters:
      `state` - int variable that indicates current state of this attribute
    Throws:
      `RemoteException` - if connection to object is lost.
    See Also:
      - `MetadataState`

  - ### getMetadataUpdatedState

    int getMetadataUpdatedState() throws RemoteException
    Get the state of metadataUpdated
    Returns:
      state of the updated attribute
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### setMetadataUpdated

    void setMetadataUpdated(String date) throws RemoteException
    Set the MetadataUpdated attribute
    Parameters:
      `date` - String indicating the date to set
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### setMetadataUpdated

    void setMetadataUpdated(String date, int state) throws RemoteException
    Set the MetadataUpdated attribute of this object, and set the state of the MetadataUpdatted attribute
    Parameters:
      `date` - String indicating the date to set
      `state` - int variable that indicates current state of this attribute
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### setMetadataUpdatedState

    void setMetadataUpdatedState(int state) throws RemoteException
    Set the state of the MetadataUpdated attribute
    Parameters:
      `state` - int variable that indicates current state of this attribute
    Throws:
      `RemoteException` - if connection to object is lost.
    See Also:
      - `MetadataState`

  - ### getMetadataCreated

    String getMetadataCreated() throws RemoteException
    Return the MetadataCreated attribute
    Returns:
      the metadadataCreated attribute. This attribute is inherited by all objects and is set by the metadata server. It indicates when a particular object was created.
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getMetadataUpdated

    String getMetadataUpdated() throws RemoteException
    Return the MetadataUpdated attribute
    Returns:
      the metadadataUpdated attribute. This attribute is inherited by all objects and is set by the metadata server. It indicates when a particular object was last updated.
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getName

    String getName() throws RemoteException
    Return the name of this object
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getNameMaxLength

    int getNameMaxLength() throws RemoteException
    Returns the maximum length of an object's name
    Returns:
      max length of a name
    Throws:
      `RemoteException`

  - ### setDesc

    void setDesc(String desc) throws RemoteException
    Set the Description attribute of this object and set its state to MetadataState.LOCAL
    Parameters:
      `desc` - Description to set
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### setDesc

    void setDesc(String desc, int state) throws RemoteException
    Set the Description attribute of this object and set the state of the description attribute
    Parameters:
      `desc` - Description to set
      `state` - int variable that indicates current state of this attribute
    Throws:
      `RemoteException` - if connection to object is lost.
    See Also:
      - `MetadataState`

  - ### setDescState

    void setDescState(int state) throws RemoteException
    Sets the state of the Description variable
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getDesc

    String getDesc() throws RemoteException
    Returns the description attribute
    Returns:
      Description string
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getDescMaxLength

    int getDescMaxLength() throws RemoteException
    Returns the maximum length of an object's description
    Returns:
      max length of a description
    Throws:
      `RemoteException`

  - ### getDescState

    int getDescState() throws RemoteException
    Returns the state of the description attribute
    Returns:
      int state of desc attribute
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getNameState

    int getNameState() throws RemoteException
    Returns the state of the name attribute
    Returns:
      int the state of the name attribute
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getRepositoryID

    String getRepositoryID() throws RemoteException
    Return the repository ID (the top part of the unique ID) for this object. Object ID's are XXXXXXXX.YYYYYYYY where XXXXXXXX is the repository ID for this object, and YYYYYYYY is the unique ID for this object in this repository
    Returns:
      A string indicating the repository ID
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### setFQID

    void setFQID(String FQID) throws RemoteException
    Set the ID for this object
    Parameters:
      `FQID` - the ID of the object
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### setFQID

    void setFQID(String FQID, int state) throws RemoteException
    Set the ID for this object
    Parameters:
      `FQID` - the ID of the object
      `state` - the state of this attribute.. always set from server.
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getId

    String getId() throws RemoteException
    Gets the Id of the object.
    Returns:
      String Fully Qualified Identity of this object.
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### setId

    void setId(String Id) throws RemoteException
    Set the ID for this object
    Parameters:
      `Id` - the ID of the object
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### setId

    void setId(String Id, int state) throws RemoteException
    Set the ID for this object
    Parameters:
      `Id` - the ID of the object
      `state` - the state of this attribute.. always set from server.
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### setIdState

    void setIdState(int state) throws RemoteException
    Set the ID state for this object
    Parameters:
      `state` - the state of this attribute.. always set from server.
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getIdState

    int getIdState() throws RemoteException
    gets the state of the ID of the object.
    Returns:
      int the State of this attribute - always from server.
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getFQID

    String getFQID() throws RemoteException
    Return the unique ID for this object
    Returns:
      the object ID
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### setCMetadataType

    void setCMetadataType(String type) throws RemoteException
    Set the type of this object. The type is one of the object types supported by the model
    Parameters:
      `type` - a String that contains the type to set this object type to
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getCMetadataType

    String getCMetadataType() throws RemoteException
    Return the type of this object
    Returns:
      the type of the object
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### isNewObject

    boolean isNewObject() throws RemoteException
    Tells whether or not this has a temporary ID.
    Returns:
      true if temp object, false otherwise.
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getState

    int getState() throws RemoteException
    Return the current state of this object. Valid object states are found in MetadataState
    Returns:
      integer indicating the state of this object
    Throws:
      `RemoteException` - if connection to object is lost.
    See Also:
      - `MetadataState`

  - ### setState

    void setState(int iValue) throws RemoteException
    OR in the specified value with the objectState
    Parameters:
      `iValue` - the value to OR in with the current object state
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### resetState

    void resetState(int iValue) throws RemoteException
    Turn off the specified state variable in the object state
    Parameters:
      `iValue` - the flag to turn off in the object state flags
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### resetObject

    void resetObject() throws RemoteException
    Resets all the states of the attributes and associations to .server.
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### resetStates

    void resetStates() throws RemoteException
    Resets all the attributes and association list states.
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getObjectStore

    MdStore getObjectStore() throws RemoteException
    Gets the object Store associated with this object.
    Returns:
      MdStore the store that owns this object
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### setObjectStore

    void setObjectStore(MdStore OwningStore) throws RemoteException
    The store that holds this object.
    Parameters:
      `OwningStore` - MdStore the store to us to search for assoc objects.
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### addElementToChangeList

    void addElementToChangeList(CMetadata object) throws RemoteException
    Adds the specified metadata object to this object's change list; only adds the object if it is not already in the list
    Parameters:
      `object` - The metadata object to add to the list
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### removeElementFromChangeList

    void removeElementFromChangeList(CMetadata object) throws RemoteException
    Remove the specified element from the change list
    Parameters:
      `object` - Metadata object to remove. If the object does not exist in the list, this method just returns
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### clearChangeList

    void clearChangeList() throws RemoteException
    Remove all elements from the change list, and set it to empty
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getChangeList

    Vector<CMetadata> getChangeList() throws RemoteException
    Return the current change list
    Returns:
      Vector representing the list of elements on this object's change list
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getRequiredAssociations

    Vector<String> getRequiredAssociations() throws RemoteException
    Return those associates that are required by this object
    Returns:
      Vector of required associations
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### isAssociationRequired

    boolean isAssociationRequired(String associationName) throws RemoteException
    Returns information about the specified association in this object
    Parameters:
      `associationName` - the name of the association (as specified in the model)
    Returns:
      true if the specified association is required by this object, false otherwise
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    Used to initialize the objects pred array
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### getPredAssociations

    Vector<String> getPredAssociations() throws RemoteException
    Returns list of the pred associations for this object
    Returns:
      Vector of pred associations for this object
    Throws:
      `RemoteException` - if connection to object is lost.

  - ### isPredAssociation

    boolean isPredAssociation(String associationName) throws RemoteException
    Returns information about the specified association in this object
    Parameters:
      `associationName` - the name of the association (as specified in the model)
    Returns:
      true if the specified association is a pred association to this object, false otherwise
    Throws:
      `RemoteException` - if connection to object is lost.